Our Nokia Users are getting "Connection error: Try again later" from Mail for Exchange 3.0.50 following the upgrade.

On checking the default.pipeline1.mobility-AppInterface.log it shows "Unsupported ActiveSync Version".

Please can someone help

Martin West